import es, usermsg

info = es.AddonInfo()
info['name'] = "Hurt Pulse"
info['basename'] = "hurtpulse"
info['version'] = "1.0"
info['author'] = "Archivolt"
info['url'] = ""
info['description'] = "When hurt, screen flashes red with intensity depending on health."

es.ServerVar(info['basename'], info['version'], info['description']).makepublic()

def load():
  es.msg('#multi', '#default[Hurt] Loaded Successfully!')

def unload():
  es.msg('#multi', '#default[Hurt] Unloaded Successfully!')

def player_hurt(ev):
    if ev['health'] > 100:
        usermsg.fade(ev['userid'], 1, 50, 200, 255, 0, 0, 95)
    if ev['health'] > 85 and ev['health'] <= 100:
        usermsg.fade(ev['userid'], 1, 60, 200, 255, 0, 0, 115)
    if ev['health'] > 65 and ev['health'] <= 85:
        usermsg.fade(ev['userid'], 1, 70, 300, 255, 0, 0, 135)
    if ev['health'] > 45 and ev['health'] <= 65:
        usermsg.fade(ev['userid'], 1, 70, 350, 255, 0, 0, 155)
    if ev['health'] > 25 and ev['health'] <= 45:
        usermsg.fade(ev['userid'], 1, 60, 400, 255, 0, 0, 205)
    if ev['health'] > 0 and ev['health'] <= 25:
        usermsg.fade(ev['userid'], 1, 60, 500, 255, 0, 0, 235)

def player_death(ev):
    usermsg.fade(ev['userid'], 1, 1400, 800, 255, 0, 0, 255)
